Subject: Re: [PATCH v2 1/3] t/unit-tests: update clar to 39f11fe

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 Jan 2026 21:46:15 +0900

Jeff King <[email-masked]> writes:

>> The alternative would be to make this `cl_fail(...)` instead, but to the
>> best of my knowledge this isn't even a valid construct.
>
> It is valid; that's how we define BUG(), for example.

Thanks.  I was wondering how that thing was working after seeing
Patrick's message ;-).

> There are other options like GNU's "## __VA_ARGS__", but I think eating
> the format argument with the "..." is the only portable way, at least
> for standard versions we'd support. I think C23 added __VA_OPT__.
>
> -Peff